unit Processing;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ComCtrls;

type
  TProcessingForm = class(TForm)
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    PBar: TProgressBar;
    btnCancel: TButton;
    Label3: TLabel;
    lblCurrentSite: TLabel;
    Label4: TLabel;
    lblOperation: TLabel;
    procedure btnCancelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    CancelOperation: Boolean;
  end;

var
  ProcessingForm: TProcessingForm;

implementation

{$R *.dfm}

procedure TProcessingForm.btnCancelClick(Sender: TObject);
begin
  btnCancel.Enabled := False;
  CancelOperation := True;
end;

end.
